// Select
//
// Replaces the browser default select with a custom one, mostly pulled from
// https://primer.github.io/.

.form-select {
    display: block;
    width: 100%;
    height: rem(36);
    font-weight: 500;
    box-shadow: none;
    font-size: rem(12);
    line-height: rem(16);
    color: $dark;
    position: relative;
    background-color: $white;
    border-radius: 4px;
    font-family: $font-family-primary;
    background-clip: padding-box;
    border: rem(1) solid #B3B3B9;
    padding: rem(9) rem(40) rem(9) rem(10);
    @include placeholder(rgba(0,0,0,0.5));
    appearance: none; // Fix appearance for date inputs in Safari
    -moz-padding-start: subtract($form-select-padding-x, 3px); // See https://github.com/twbs/bootstrap/issues/32636

    background-image: escape-svg($form-select-indicator);
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: $form-select-bg-size;
    @include transition($form-select-transition);

    &:before {
        content: 'sdfdsf';
    }

  &:focus {
      color: $dark;
      background-color: $white;
      border-color: #B3B3B9;
      @include placeholder(transparent);
      outline: 0;
  }

  &[multiple],
  &[size]:not([size="1"]) {
    padding-right: $form-select-padding-x;
    background-image: none;
  }

  &:disabled {
    color: $form-select-disabled-color;
    background-color: $form-select-disabled-bg;
    border-color: $form-select-disabled-border-color;
  }

  // Remove outline from select box in FF
  &:-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 $form-select-color;
  }

    @include media-breakpoint-up(md) {
        height: rem(50);
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(12) rem(40) rem(12) rem(14);
    }
}

.form-select-sm {
    height: rem(36);
    padding: rem(9) rem(36) rem(9) rem(10);
    background-position: right 10px center;

    @include media-breakpoint-up(md) {
        height: rem(40);
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(7) rem(40) rem(7) rem(14);
    }
}

.form-select-lg {
  padding-top: $form-select-padding-y-lg;
  padding-bottom: $form-select-padding-y-lg;
  padding-left: $form-select-padding-x-lg;
  @include font-size($form-select-font-size-lg);
  @include border-radius($form-select-border-radius-lg);
}

.select-field {
    position: relative;

    &:before {
        top: 0;
        bottom: 0;
        z-index: 20;
        right: rem(36);
        content: '';
        position: absolute;
        border-left: rem(1) solid #B3B3B9;
    }
}
